MockLockFactoryWrapper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.MockLockFactoryWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class MockLockFactoryWrapper

    java.lang.Object
      org.apache.lucene.store.LockFactory
          org.apache.lucene.store.MockLockFactoryWrapper

    public class MockLockFactoryWrapper

extends org.apache.lucene.store.LockFactory

Used by MockDirectoryWrapper to wrap another factory and track open locks.

Field Summary

Fields inherited from class org.apache.lucene.store.LockFactory
`lockPrefix`

Constructor Summary
`MockLockFactoryWrapper(MockDirectoryWrapper dir, org.apache.lucene.store.LockFactory delegate)`

Method Summary
`void` | `clearLock(String lockName)`
`String` | `getLockPrefix()`
`org.apache.lucene.store.Lock` | `makeLock(String lockName)`
`void` | `setLockPrefix(String lockPrefix)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockLockFactoryWrapper

    public MockLockFactoryWrapper(MockDirectoryWrapper dir,
                                  org.apache.lucene.store.LockFactory delegate)

Method Detail

### setLockPrefix

    public void setLockPrefix(String lockPrefix)

  Overrides:
    `setLockPrefix` in class `org.apache.lucene.store.LockFactory`

### getLockPrefix

    public String getLockPrefix()

  Overrides:
    `getLockPrefix` in class `org.apache.lucene.store.LockFactory`

### makeLock

    public org.apache.lucene.store.Lock makeLock(String lockName)

  Specified by:
    `makeLock` in class `org.apache.lucene.store.LockFactory`

### clearLock

    public void clearLock(String lockName)
                   throws IOException

  Specified by:
    `clearLock` in class `org.apache.lucene.store.LockFactory`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD